Bug 230748 - New port: x11/i3blocks Status bar for i3 window manager
Summary: New port: x11/i3blocks Status bar for i3 window manager
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexandre C. Guimarães
URL: https://reviews.freebsd.org/D18466
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-08-19 12:50 UTC by Minbari
Modified: 2018-12-15 21:02 UTC (History)
4 users (show)

See Also:


Attachments
i3blocks shell archive (1.71 KB, text/plain)
2018-08-19 12:50 UTC, Minbari
no flags Details
Add pkg-plist file and correct the Makefile (1.94 KB, text/plain)
2018-08-20 09:09 UTC, Minbari
no flags Details
i3blocks port, hopefully the final form. (2.07 KB, text/plain)
2018-12-06 16:40 UTC, Minbari
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Minbari 2018-08-19 12:50:24 UTC
Created attachment 196345 [details]
i3blocks shell archive

i3blocks is a highly flexible status line for the i3 window manager. It handles clicks, signals and language-agnostic user scripts.
Comment 1 Dmitri Goutnik 2018-08-19 13:31:13 UTC
I'm getting stage-qa failures in poudriere:

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%ETCDIR%%.conf.sample
Error: Orphaned: man/man1/i3blocks.1.md.gz
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Stop.
Comment 2 Dmitri Goutnik 2018-08-19 13:46:08 UTC
A few more notes:

Instead of modifying CFLAGS, it's preferable to use USES=localbase:

-CFLAGS +=      -I${LOCALBASE}/include
-USES=          gmake tar:bzip2
+USES=          gmake localbase tar:bzip2

No need to set GH_PROJECT, it already defaults to ${PORTNAME}:

-GH_PROJECT=    i3blocks

Thanks for porting i3blocks, BTW :)
Comment 3 Minbari 2018-08-19 17:31:54 UTC
(In reply to Dmitri Goutnik from comment #1)
It's my first port on FreeBSD so I've doing something wrong feel free to correct me. I've tested the port on my system and it's build without any problems.

====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
===>  Building package for i3blocks-1.5
Comment 4 Minbari 2018-08-19 17:37:01 UTC
(In reply to Dmitri Goutnik from comment #2)
I'll consider those changes. You can modify the port on github if you think I've missing something.
The link is here: https://github.com/Minbar1/freebsd-ports/tree/master/x11/i3blocks

Thank you for suggestions!
Comment 5 Dmitri Goutnik 2018-08-19 18:02:59 UTC
(In reply to Minbari from comment #3)

I should've said "check-plist" failures, not "stage-qa" failures. If you run `make check-plist` it'll fail with the above errors.

The usual requirement for a new port is that it builds cleanly in poudriere:

https://www.freebsd.org/doc/en/books/porters-handbook/testing-poudriere.html

and esp.

https://www.freebsd.org/doc/en/books/porters-handbook/testing-poudriere.html#testing-poudriere-testing-ports

As to plist errors above,

- config sample will need to be included in PLIST_FILES and will need a bit of special handling: https://www.freebsd.org/doc/en/books/porters-handbook/book.html#plist-config

- i3blocks.1.md looks like a Markdown docs, not a manpage, and should be installed as additional documentation: https://www.freebsd.org/doc/en/books/porters-handbook/book.html#install-documentation
Comment 6 Minbari 2018-08-20 09:09:12 UTC
Created attachment 196377 [details]
Add pkg-plist file and correct the Makefile
Comment 7 Minbari 2018-08-20 09:11:04 UTC
Comment on attachment 196345 [details]
i3blocks shell archive

obsolete
Comment 8 Minbari 2018-12-06 16:40:49 UTC
Created attachment 199899 [details]
i3blocks port, hopefully  the final form.
Comment 9 Yuri Pankov freebsd_committer 2018-12-07 20:22:44 UTC
Using the fork looks rather unfortunate as it adds additional work for maintainer -- do the authors not accept patches?
Comment 10 commit-hook freebsd_committer 2018-12-15 21:02:02 UTC
A commit references this bug:

Author: rigoletto
Date: Sat Dec 15 21:01:01 UTC 2018
New revision: 487546
URL: https://svnweb.freebsd.org/changeset/ports/487546

Log:
  x11/i3blocks: a minimalist scheduler for your status line scripts.

  PR:		230748
  Submitted by:	Minbari <coszminv@gmail.com> (maintainer)
  Reviewed by:	mat (mentor)
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D18466

Changes:
  head/x11/Makefile
  head/x11/i3blocks/
  head/x11/i3blocks/Makefile
  head/x11/i3blocks/distinfo
  head/x11/i3blocks/pkg-descr
  head/x11/i3blocks/pkg-plist
Comment 11 Alexandre C. Guimarães freebsd_committer 2018-12-15 21:02:43 UTC
Thanks!